Subject: Re: [X2Go-Dev] Missing dependency for x2goserver rpm on RHEL 7.1

From: Mihai Moldovan <[email-masked]>
Date: Sun, 5 Jul 2015 03:26:34 +0200

On 04.07.2015 12:22 PM, Shaheed Haque wrote:
> Only to find that arrow keys, cursor keys were not working. When I tried
> x2goserver, it complained about not find the base rule. With a bit of
> strace'ing, I found the missing file was
> //usr///share///X11///xkb///rules///base/./lst/.
> 
> The fix was to install xkeyboard-config-2.9-4.el7.noarch, so this looks like a
> missing dependency. Please consider adding this to the RedHat packages.

Thanks for debugging this!

Depending on xkeyboard-config (RPM) and xkb-data (deb) sounds reasonable.

Mihai